Package org.bukkit.event.block

# Class BlockRedstoneEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockRedstoneEvent

public class BlockRedstoneEvent extends BlockEvent
Called when a redstone current changes

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockRedstoneEvent(@NotNull Block block, int oldCurrent, int newCurrent)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`int`
`getNewCurrent()`
Gets the new current of this block
`int`
`getOldCurrent()`
Gets the old current of this block
`void`
`setNewCurrent(int newCurrent)`
Sets the new current of this block

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockRedstoneEvent

public BlockRedstoneEvent(@NotNull @NotNull Block block, int oldCurrent, int newCurrent)

## Method Details

### getOldCurrent

public int getOldCurrent()
Gets the old current of this block

Returns:
  The previous current

### getNewCurrent

public int getNewCurrent()
Gets the new current of this block

Returns:
  The new current

### setNewCurrent

public void setNewCurrent(int newCurrent)
Sets the new current of this block

Parameters:
  `newCurrent` - The new current to set

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()